diff --git a/contrib/ncurses/ncurses/llib-lncursesw b/contrib/ncurses/ncurses/llib-lncursesw
index 794d4929254a..dbf535db4b3f 100644
--- a/contrib/ncurses/ncurses/llib-lncursesw
+++ b/contrib/ncurses/ncurses/llib-lncursesw
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright 2018-2019,2020 Thomas E. Dickey                                *
+ * Copyright 2018-2022,2023 Thomas E. Dickey                                *
  * Copyright 2001-2016,2017 Free Software Foundation, Inc.                  *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
@@ -70,7 +70,7 @@ void	_nc_hash_map(void)
 
 #undef _nc_make_oldhash_sp
 void	_nc_make_oldhash_sp(
-		SCREEN	*sp, 
+		SCREEN	*sp,
 		int	i)
 		{ /* void */ }
 
@@ -81,16 +81,16 @@ void	_nc_make_oldhash(
 
 #undef _nc_scroll_oldhash_sp
 void	_nc_scroll_oldhash_sp(
-		SCREEN	*sp, 
-		int	n, 
-		int	top, 
+		SCREEN	*sp,
+		int	n,
+		int	top,
 		int	bot)
 		{ /* void */ }
 
 #undef _nc_scroll_oldhash
 void	_nc_scroll_oldhash(
-		int	n, 
-		int	top, 
+		int	n,
+		int	top,
 		int	bot)
 		{ /* void */ }
 
@@ -98,31 +98,31 @@ void	_nc_scroll_oldhash(
 
 #undef _nc_render
 cchar_t	_nc_render(
-		WINDOW	*win, 
+		WINDOW	*win,
 		cchar_t	ch)
 		{ return(*(cchar_t *)0); }
 
 #undef _nc_build_wch
 int	_nc_build_wch(
-		WINDOW	*win, 
+		WINDOW	*win,
 		cchar_t	*ch)
 		{ return(*(int *)0); }
 
 #undef _nc_waddch_nosync
 int	_nc_waddch_nosync(
-		WINDOW	*win, 
+		WINDOW	*win,
 		const cchar_t c)
 		{ return(*(int *)0); }
 
 #undef waddch
 int	waddch(
-		WINDOW	*win, 
+		WINDOW	*win,
 		const chtype ch)
 		{ return(*(int *)0); }
 
 #undef wechochar
 int	wechochar(
-		WINDOW	*win, 
+		WINDOW	*win,
 		const chtype ch)
 		{ return(*(int *)0); }
 
@@ -130,15 +130,15 @@ int	wechochar(
 
 #undef waddnstr
 int	waddnstr(
-		WINDOW	*win, 
-		const char *astr, 
+		WINDOW	*win,
+		const char *astr,
 		int	n)
 		{ return(*(int *)0); }
 
 #undef waddchnstr
 int	waddchnstr(
-		WINDOW	*win, 
-		const chtype *astr, 
+		WINDOW	*win,
+		const chtype *astr,
 		int	n)
 		{ return(*(int *)0); }
 
@@ -149,15 +149,15 @@ int	_nc_wchstrlen(
 
 #undef wadd_wchnstr
 int	wadd_wchnstr(
-		WINDOW	*win, 
-		const cchar_t *astr, 
+		WINDOW	*win,
+		const cchar_t *astr,
 		int	n)
 		{ return(*(int *)0); }
 
 #undef waddnwstr
 int	waddnwstr(
-		WINDOW	*win, 
-		const wchar_t *str, 
+		WINDOW	*win,
+		const wchar_t *str,
 		int	n)
 		{ return(*(int *)0); }
 
@@ -176,25 +176,25 @@ int	beep(void)
 
 #undef wbkgrndset
 void	wbkgrndset(
-		WINDOW	*win, 
+		WINDOW	*win,
 		const cchar_t *ch)
 		{ /* void */ }
 
 #undef wbkgdset
 void	wbkgdset(
-		WINDOW	*win, 
+		WINDOW	*win,
 		chtype	ch)
 		{ /* void */ }
 
 #undef wbkgrnd
 int	wbkgrnd(
-		WINDOW	*win, 
+		WINDOW	*win,
 		const cchar_t *ch)
 		{ return(*(int *)0); }
 
 #undef wbkgd
 int	wbkgd(
-		WINDOW	*win, 
+		WINDOW	*win,
 		chtype	ch)
 		{ return(*(int *)0); }
 
@@ -202,14 +202,14 @@ int	wbkgd(
 
 #undef wborder
 int	wborder(
-		WINDOW	*win, 
-		chtype	ls, 
-		chtype	rs, 
-		chtype	ts, 
-		chtype	bs, 
-		chtype	tl, 
-		chtype	tr, 
-		chtype	bl, 
+		WINDOW	*win,
+		chtype	ls,
+		chtype	rs,
+		chtype	ts,
+		chtype	bs,
+		chtype	tl,
+		chtype	tr,
+		chtype	bl,
 		chtype	br)
 		{ return(*(int *)0); }
 
@@ -217,10 +217,10 @@ int	wborder(
 
 #undef wchgat
 int	wchgat(
-		WINDOW	*win, 
-		int	n, 
-		attr_t	attr, 
-		short	pair_arg, 
+		WINDOW	*win,
+		int	n,
+		attr_t	attr,
+		short	pair_arg,
 		const void *opts)
 		{ return(*(int *)0); }
 
@@ -235,7 +235,7 @@ int	wclear(
 
 #undef clearok
 int	clearok(
-		WINDOW	*win, 
+		WINDOW	*win,
 		NCURSES_BOOL flag)
 		{ return(*(int *)0); }
 
@@ -280,62 +280,62 @@ int	start_color(void)
 
 #undef _nc_change_pair
 void	_nc_change_pair(
-		SCREEN	*sp, 
+		SCREEN	*sp,
 		int	pair)
 		{ /* void */ }
 
 #undef _nc_reserve_pairs
 void	_nc_reserve_pairs(
-		SCREEN	*sp, 
+		SCREEN	*sp,
 		int	want)
 		{ /* void */ }
 
 #undef _nc_init_pair
 int	_nc_init_pair(
-		SCREEN	*sp, 
-		int	pair, 
-		int	f, 
+		SCREEN	*sp,
+		int	pair,
+		int	f,
 		int	b)
 		{ return(*(int *)0); }
 
 #undef init_pair_sp
 int	init_pair_sp(
-		SCREEN	*sp, 
-		short	pair, 
-		short	f, 
+		SCREEN	*sp,
+		short	pair,
+		short	f,
 		short	b)
 		{ return(*(int *)0); }
 
 #undef init_pair
 int	init_pair(
-		short	pair, 
-		short	f, 
+		short	pair,
+		short	f,
 		short	b)
 		{ return(*(int *)0); }
 
 #undef _nc_init_color
 int	_nc_init_color(
-		SCREEN	*sp, 
-		int	color, 
-		int	r, 
-		int	g, 
+		SCREEN	*sp,
+		int	color,
+		int	r,
+		int	g,
 		int	b)
 		{ return(*(int *)0); }
 
 #undef init_color_sp
 int	init_color_sp(
-		SCREEN	*sp, 
-		short	color, 
-		short	r, 
-		short	g, 
+		SCREEN	*sp,
+		short	color,
+		short	r,
+		short	g,
 		short	b)
 		{ return(*(int *)0); }
 
 #undef init_color
 int	init_color(
-		short	color, 
-		short	r, 
-		short	g, 
+		short	color,
+		short	r,
+		short	g,
 		short	b)
 		{ return(*(int *)0); }
 
@@ -359,92 +359,92 @@ NCURSES_BOOL has_colors(void)
 
 #undef color_content_sp
 int	color_content_sp(
-		SCREEN	*sp, 
-		short	color, 
-		short	*r, 
-		short	*g, 
+		SCREEN	*sp,
+		short	color,
+		short	*r,
+		short	*g,
 		short	*b)
 		{ return(*(int *)0); }
 
 #undef color_content
 int	color_content(
-		short	color, 
-		short	*r, 
-		short	*g, 
+		short	color,
+		short	*r,
+		short	*g,
 		short	*b)
 		{ return(*(int *)0); }
 
 #undef _nc_pair_content
 int	_nc_pair_content(
-		SCREEN	*sp, 
-		int	pair, 
-		int	*f, 
+		SCREEN	*sp,
+		int	pair,
+		int	*f,
 		int	*b)
 		{ return(*(int *)0); }
 
 #undef pair_content_sp
 int	pair_content_sp(
-		SCREEN	*sp, 
-		short	pair, 
-		short	*f, 
+		SCREEN	*sp,
+		short	pair,
+		short	*f,
 		short	*b)
 		{ return(*(int *)0); }
 
 #undef pair_content
 int	pair_content(
-		short	pair, 
-		short	*f, 
+		short	pair,
+		short	*f,
 		short	*b)
 		{ return(*(int *)0); }
 
 #undef _nc_do_color_sp
 void	_nc_do_color_sp(
-		SCREEN	*sp, 
-		int	old_pair, 
-		int	pair, 
-		int	reverse, 
+		SCREEN	*sp,
+		int	old_pair,
+		int	pair,
+		int	reverse,
 		NCURSES_OUTC_sp outc)
 		{ /* void */ }
 
 #undef _nc_do_color
 void	_nc_do_color(
-		int	old_pair, 
-		int	pair, 
-		int	reverse, 
+		int	old_pair,
+		int	pair,
+		int	reverse,
 		NCURSES_OUTC outc)
 		{ /* void */ }
 
 #undef init_extended_pair_sp
 int	init_extended_pair_sp(
-		SCREEN	*sp, 
-		int	pair, 
-		int	f, 
+		SCREEN	*sp,
+		int	pair,
+		int	f,
 		int	b)
 		{ return(*(int *)0); }
 
 #undef init_extended_color_sp
 int	init_extended_color_sp(
-		SCREEN	*sp, 
-		int	color, 
-		int	r, 
-		int	g, 
+		SCREEN	*sp,
+		int	color,
+		int	r,
+		int	g,
 		int	b)
 		{ return(*(int *)0); }
 
 #undef extended_color_content_sp
 int	extended_color_content_sp(
-		SCREEN	*sp, 
-		int	color, 
-		int	*r, 
-		int	*g, 
+		SCREEN	*sp,
+		int	color,
+		int	*r,
+		int	*g,
 		int	*b)
 		{ return(*(int *)0); }
 
 #undef extended_pair_content_sp
 int	extended_pair_content_sp(
-		SCREEN	*sp, 
-		int	pair, 
-		int	*f, 
+		SCREEN	*sp,
+		int	pair,
+		int	*f,
 		int	*b)
 		{ return(*(int *)0); }
 
@@ -455,31 +455,31 @@ void	reset_color_pairs_sp(
 
 #undef init_extended_pair
 int	init_extended_pair(
-		int	pair, 
-		int	f, 
+		int	pair,
+		int	f,
 		int	b)
 		{ return(*(int *)0); }
 
 #undef init_extended_color
 int	init_extended_color(
-		int	color, 
-		int	r, 
-		int	g, 
+		int	color,
+		int	r,
+		int	g,
 		int	b)
 		{ return(*(int *)0); }
 
 #undef extended_color_content
 int	extended_color_content(
-		int	color, 
-		int	*r, 
-		int	*g, 
+		int	color,
+		int	*r,
+		int	*g,
 		int	*b)
 		{ return(*(int *)0); }
 
 #undef extended_pair_content
 int	extended_pair_content(
-		int	pair, 
-		int	*f, 
+		int	pair,
+		int	*f,
 		int	*b)
 		{ return(*(int *)0); }
 
@@ -491,8 +491,8 @@ void	reset_color_pairs(void)
 
 #undef wcolor_set
 int	wcolor_set(
-		WINDOW	*win, 
-		short	pair_arg, 
+		WINDOW	*win,
+		short	pair_arg,
 		void	*opts)
 		{ return(*(int *)0); }
 
@@ -568,7 +568,7 @@ int	addch(
 
 #undef addchnstr
 int	addchnstr(
-		const chtype *a1, 
+		const chtype *a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -579,7 +579,7 @@ int	addchstr(
 
 #undef addnstr
 int	addnstr(
-		const char *a1, 
+		const char *a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -590,42 +590,42 @@ int	addstr(
 
 #undef attroff
 int	attroff(
-		int	z)
+		NCURSES_ATTR_T	z)
 		{ return(*(int *)0); }
 
 #undef attron
 int	attron(
-		int	z)
+		NCURSES_ATTR_T	z)
 		{ return(*(int *)0); }
 
 #undef attrset
 int	attrset(
-		int	z)
+		NCURSES_ATTR_T	z)
 		{ return(*(int *)0); }
 
 #undef attr_get
 int	attr_get(
-		attr_t	*a1, 
-		short	*a2, 
+		attr_t	*a1,
+		short	*a2,
 		void	*z)
 		{ return(*(int *)0); }
 
 #undef attr_off
 int	attr_off(
-		attr_t	a1, 
+		attr_t	a1,
 		void	*z)
 		{ return(*(int *)0); }
 
 #undef attr_on
 int	attr_on(
-		attr_t	a1, 
+		attr_t	a1,
 		void	*z)
 		{ return(*(int *)0); }
 
 #undef attr_set
 int	attr_set(
-		attr_t	a1, 
-		short	a2, 
+		attr_t	a1,
+		short	a2,
 		void	*z)
 		{ return(*(int *)0); }
 
@@ -641,28 +641,28 @@ void	bkgdset(
 
 #undef border
 int	border(
-		chtype	a1, 
-		chtype	a2, 
-		chtype	a3, 
-		chtype	a4, 
-		chtype	a5, 
-		chtype	a6, 
-		chtype	a7, 
+		chtype	a1,
+		chtype	a2,
+		chtype	a3,
+		chtype	a4,
+		chtype	a5,
+		chtype	a6,
+		chtype	a7,
 		chtype	z)
 		{ return(*(int *)0); }
 
 #undef box
 int	box(
-		WINDOW	*a1, 
-		chtype	a2, 
+		WINDOW	*a1,
+		chtype	a2,
 		chtype	z)
 		{ return(*(int *)0); }
 
 #undef chgat
 int	chgat(
-		int	a1, 
-		attr_t	a2, 
-		short	a3, 
+		int	a1,
+		attr_t	a2,
+		short	a3,
 		const void *z)
 		{ return(*(int *)0); }
 
@@ -680,7 +680,7 @@ int	clrtoeol(void)
 
 #undef color_set
 int	color_set(
-		short	a1, 
+		short	a1,
 		void	*z)
 		{ return(*(int *)0); }
 
@@ -717,7 +717,7 @@ int	getch(void)
 
 #undef getnstr
 int	getnstr(
-		char	*a1, 
+		char	*a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -728,7 +728,7 @@ int	getstr(
 
 #undef hline
 int	hline(
-		chtype	a1, 
+		chtype	a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -738,7 +738,7 @@ chtype	inch(void)
 
 #undef inchnstr
 int	inchnstr(
-		chtype	*a1, 
+		chtype	*a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -749,7 +749,7 @@ int	inchstr(
 
 #undef innstr
 int	innstr(
-		char	*a1, 
+		char	*a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -769,7 +769,7 @@ int	insertln(void)
 
 #undef insnstr
 int	insnstr(
-		const char *a1, 
+		const char *a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -785,323 +785,323 @@ int	instr(
 
 #undef move
 int	move(
-		int	a1, 
+		int	a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvaddch
 int	mvaddch(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		const chtype z)
 		{ return(*(int *)0); }
 
 #undef mvaddchnstr
 int	mvaddchnstr(
-		int	a1, 
-		int	a2, 
-		const chtype *a3, 
+		int	a1,
+		int	a2,
+		const chtype *a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvaddchstr
 int	mvaddchstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		const chtype *z)
 		{ return(*(int *)0); }
 
 #undef mvaddnstr
 int	mvaddnstr(
-		int	a1, 
-		int	a2, 
-		const char *a3, 
+		int	a1,
+		int	a2,
+		const char *a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvaddstr
 int	mvaddstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		const char *z)
 		{ return(*(int *)0); }
 
 #undef mvchgat
 int	mvchgat(
-		int	a1, 
-		int	a2, 
-		int	a3, 
-		attr_t	a4, 
-		short	a5, 
+		int	a1,
+		int	a2,
+		int	a3,
+		attr_t	a4,
+		short	a5,
 		const void *z)
 		{ return(*(int *)0); }
 
 #undef mvdelch
 int	mvdelch(
-		int	a1, 
+		int	a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvgetch
 int	mvgetch(
-		int	a1, 
+		int	a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvgetnstr
 int	mvgetnstr(
-		int	a1, 
-		int	a2, 
-		char	*a3, 
+		int	a1,
+		int	a2,
+		char	*a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvgetstr
 int	mvgetstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		char	*z)
 		{ return(*(int *)0); }
 
 #undef mvhline
 int	mvhline(
-		int	a1, 
-		int	a2, 
-		chtype	a3, 
+		int	a1,
+		int	a2,
+		chtype	a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvinch
 chtype	mvinch(
-		int	a1, 
+		int	a1,
 		int	z)
 		{ return(*(chtype *)0); }
 
 #undef mvinchnstr
 int	mvinchnstr(
-		int	a1, 
-		int	a2, 
-		chtype	*a3, 
+		int	a1,
+		int	a2,
+		chtype	*a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvinchstr
 int	mvinchstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		chtype	*z)
 		{ return(*(int *)0); }
 
 #undef mvinnstr
 int	mvinnstr(
-		int	a1, 
-		int	a2, 
-		char	*a3, 
+		int	a1,
+		int	a2,
+		char	*a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvinsch
 int	mvinsch(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		chtype	z)
 		{ return(*(int *)0); }
 
 #undef mvinsnstr
 int	mvinsnstr(
-		int	a1, 
-		int	a2, 
-		const char *a3, 
+		int	a1,
+		int	a2,
+		const char *a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvinsstr
 int	mvinsstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		const char *z)
 		{ return(*(int *)0); }
 
 #undef mvinstr
 int	mvinstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		char	*z)
 		{ return(*(int *)0); }
 
 #undef mvvline
 int	mvvline(
-		int	a1, 
-		int	a2, 
-		chtype	a3, 
+		int	a1,
+		int	a2,
+		chtype	a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwaddch
 int	mvwaddch(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		const chtype z)
 		{ return(*(int *)0); }
 
 #undef mvwaddchnstr
 int	mvwaddchnstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		const chtype *a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		const chtype *a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwaddchstr
 int	mvwaddchstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		const chtype *z)
 		{ return(*(int *)0); }
 
 #undef mvwaddnstr
 int	mvwaddnstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		const char *a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		const char *a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwaddstr
 int	mvwaddstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		const char *z)
 		{ return(*(int *)0); }
 
 #undef mvwchgat
 int	mvwchgat(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		int	a4, 
-		attr_t	a5, 
-		short	a6, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		int	a4,
+		attr_t	a5,
+		short	a6,
 		const void *z)
 		{ return(*(int *)0); }
 
 #undef mvwdelch
 int	mvwdelch(
-		WINDOW	*a1, 
-		int	a2, 
+		WINDOW	*a1,
+		int	a2,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwgetch
 int	mvwgetch(
-		WINDOW	*a1, 
-		int	a2, 
+		WINDOW	*a1,
+		int	a2,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwgetnstr
 int	mvwgetnstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		char	*a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		char	*a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwgetstr
 int	mvwgetstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		char	*z)
 		{ return(*(int *)0); }
 
 #undef mvwhline
 int	mvwhline(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		chtype	a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		chtype	a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwinch
 chtype	mvwinch(
-		WINDOW	*a1, 
-		int	a2, 
+		WINDOW	*a1,
+		int	a2,
 		int	z)
 		{ return(*(chtype *)0); }
 
 #undef mvwinchnstr
 int	mvwinchnstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		chtype	*a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		chtype	*a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwinchstr
 int	mvwinchstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		chtype	*z)
 		{ return(*(int *)0); }
 
 #undef mvwinnstr
 int	mvwinnstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		char	*a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		char	*a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwinsch
 int	mvwinsch(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		chtype	z)
 		{ return(*(int *)0); }
 
 #undef mvwinsnstr
 int	mvwinsnstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		const char *a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		const char *a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwinsstr
 int	mvwinsstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		const char *z)
 		{ return(*(int *)0); }
 
 #undef mvwinstr
 int	mvwinstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		char	*z)
 		{ return(*(int *)0); }
 
 #undef mvwvline
 int	mvwvline(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		chtype	a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		chtype	a4,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -1131,19 +1131,19 @@ int	scroll(
 
 #undef setscrreg
 int	setscrreg(
-		int	a1, 
+		int	a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef slk_attr_off
 int	slk_attr_off(
-		const attr_t a1, 
+		const attr_t a1,
 		void	*z)
 		{ return(*(int *)0); }
 
 #undef slk_attr_on
 int	slk_attr_on(
-		attr_t	a1, 
+		attr_t	a1,
 		void	*z)
 		{ return(*(int *)0); }
 
@@ -1162,8 +1162,8 @@ void	timeout(
 
 #undef touchline
 int	touchline(
-		WINDOW	*a1, 
-		int	a2, 
+		WINDOW	*a1,
+		int	a2,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -1179,53 +1179,53 @@ int	untouchwin(
 
 #undef vline
 int	vline(
-		chtype	a1, 
+		chtype	a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef waddchstr
 int	waddchstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		const chtype *z)
 		{ return(*(int *)0); }
 
 #undef waddstr
 int	waddstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		const char *z)
 		{ return(*(int *)0); }
 
 #undef wattron
 int	wattron(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef wattroff
 int	wattroff(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef wattrset
 int	wattrset(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef wattr_get
 int	wattr_get(
-		WINDOW	*a1, 
-		attr_t	*a2, 
-		short	*a3, 
+		WINDOW	*a1,
+		attr_t	*a2,
+		short	*a3,
 		void	*z)
 		{ return(*(int *)0); }
 
 #undef wattr_set
 int	wattr_set(
-		WINDOW	*a1, 
-		attr_t	a2, 
-		short	a3, 
+		WINDOW	*a1,
+		attr_t	a2,
+		short	a3,
 		void	*z)
 		{ return(*(int *)0); }
 
@@ -1236,13 +1236,13 @@ int	wdeleteln(
 
 #undef wgetstr
 int	wgetstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		char	*z)
 		{ return(*(int *)0); }
 
 #undef winchstr
 int	winchstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		chtype	*z)
 		{ return(*(int *)0); }
 
@@ -1253,13 +1253,13 @@ int	winsertln(
 
 #undef winsstr
 int	winsstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		const char *z)
 		{ return(*(int *)0); }
 
 #undef winstr
 int	winstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		char	*z)
 		{ return(*(int *)0); }
 
@@ -1390,8 +1390,8 @@ int	wgetdelay(
 
 #undef wgetscrreg
 int	wgetscrreg(
-		const WINDOW *a1, 
-		int	*a2, 
+		const WINDOW *a1,
+		int	*a2,
 		int	*z)
 		{ return(*(int *)0); }
 
@@ -1402,7 +1402,7 @@ int	add_wch(
 
 #undef add_wchnstr
 int	add_wchnstr(
-		const cchar_t *a1, 
+		const cchar_t *a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -1413,7 +1413,7 @@ int	add_wchstr(
 
 #undef addnwstr
 int	addnwstr(
-		const wchar_t *a1, 
+		const wchar_t *a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -1434,20 +1434,20 @@ void	bkgrndset(
 
 #undef border_set
 int	border_set(
-		const cchar_t *a1, 
-		const cchar_t *a2, 
-		const cchar_t *a3, 
-		const cchar_t *a4, 
-		const cchar_t *a5, 
-		const cchar_t *a6, 
-		const cchar_t *a7, 
+		const cchar_t *a1,
+		const cchar_t *a2,
+		const cchar_t *a3,
+		const cchar_t *a4,
+		const cchar_t *a5,
+		const cchar_t *a6,
+		const cchar_t *a7,
 		const cchar_t *z)
 		{ return(*(int *)0); }
 
 #undef box_set
 int	box_set(
-		WINDOW	*a1, 
-		const cchar_t *a2, 
+		WINDOW	*a1,
+		const cchar_t *a2,
 		const cchar_t *z)
 		{ return(*(int *)0); }
 
@@ -1473,13 +1473,13 @@ int	getbkgrnd(
 
 #undef getn_wstr
 int	getn_wstr(
-		wint_t	*a1, 
+		wint_t	*a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef hline_set
 int	hline_set(
-		const cchar_t *a1, 
+		const cchar_t *a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -1490,7 +1490,7 @@ int	in_wch(
 
 #undef in_wchnstr
 int	in_wchnstr(
-		cchar_t	*a1, 
+		cchar_t	*a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -1501,13 +1501,13 @@ int	in_wchstr(
 
 #undef innwstr
 int	innwstr(
-		wchar_t	*a1, 
+		wchar_t	*a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef ins_nwstr
 int	ins_nwstr(
-		const wchar_t *a1, 
+		const wchar_t *a1,
 		int	z)
 		{ return(*(int *)0); }
 
@@ -1528,336 +1528,336 @@ int	inwstr(
 
 #undef mvadd_wch
 int	mvadd_wch(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		const cchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mvadd_wchnstr
 int	mvadd_wchnstr(
-		int	a1, 
-		int	a2, 
-		const cchar_t *a3, 
+		int	a1,
+		int	a2,
+		const cchar_t *a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvadd_wchstr
 int	mvadd_wchstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		const cchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mvaddnwstr
 int	mvaddnwstr(
-		int	a1, 
-		int	a2, 
-		const wchar_t *a3, 
+		int	a1,
+		int	a2,
+		const wchar_t *a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvaddwstr
 int	mvaddwstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		const wchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mvget_wch
 int	mvget_wch(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		wint_t	*z)
 		{ return(*(int *)0); }
 
 #undef mvget_wstr
 int	mvget_wstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		wint_t	*z)
 		{ return(*(int *)0); }
 
 #undef mvgetn_wstr
 int	mvgetn_wstr(
-		int	a1, 
-		int	a2, 
-		wint_t	*a3, 
+		int	a1,
+		int	a2,
+		wint_t	*a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvhline_set
 int	mvhline_set(
-		int	a1, 
-		int	a2, 
-		const cchar_t *a3, 
+		int	a1,
+		int	a2,
+		const cchar_t *a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvin_wch
 int	mvin_wch(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		cchar_t	*z)
 		{ return(*(int *)0); }
 
 #undef mvin_wchnstr
 int	mvin_wchnstr(
-		int	a1, 
-		int	a2, 
-		cchar_t	*a3, 
+		int	a1,
+		int	a2,
+		cchar_t	*a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvin_wchstr
 int	mvin_wchstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		cchar_t	*z)
 		{ return(*(int *)0); }
 
 #undef mvinnwstr
 int	mvinnwstr(
-		int	a1, 
-		int	a2, 
-		wchar_t	*a3, 
+		int	a1,
+		int	a2,
+		wchar_t	*a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvins_nwstr
 int	mvins_nwstr(
-		int	a1, 
-		int	a2, 
-		const wchar_t *a3, 
+		int	a1,
+		int	a2,
+		const wchar_t *a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvins_wch
 int	mvins_wch(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		const cchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mvins_wstr
 int	mvins_wstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		const wchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mvinwstr
 int	mvinwstr(
-		int	a1, 
-		int	a2, 
+		int	a1,
+		int	a2,
 		wchar_t	*z)
 		{ return(*(int *)0); }
 
 #undef mvvline_set
 int	mvvline_set(
-		int	a1, 
-		int	a2, 
-		const cchar_t *a3, 
+		int	a1,
+		int	a2,
+		const cchar_t *a3,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwadd_wch
 int	mvwadd_wch(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		const cchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mvwadd_wchnstr
 int	mvwadd_wchnstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		const cchar_t *a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		const cchar_t *a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwadd_wchstr
 int	mvwadd_wchstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		const cchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mvwaddnwstr
 int	mvwaddnwstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		const wchar_t *a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		const wchar_t *a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwaddwstr
 int	mvwaddwstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		const wchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mvwget_wch
 int	mvwget_wch(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		wint_t	*z)
 		{ return(*(int *)0); }
 
 #undef mvwget_wstr
 int	mvwget_wstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		wint_t	*z)
 		{ return(*(int *)0); }
 
 #undef mvwgetn_wstr
 int	mvwgetn_wstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		wint_t	*a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		wint_t	*a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwhline_set
 int	mvwhline_set(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		const cchar_t *a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		const cchar_t *a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwin_wch
 int	mvwin_wch(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		cchar_t	*z)
 		{ return(*(int *)0); }
 
 #undef mvwin_wchnstr
 int	mvwin_wchnstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		cchar_t	*a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		cchar_t	*a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwin_wchstr
 int	mvwin_wchstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		cchar_t	*z)
 		{ return(*(int *)0); }
 
 #undef mvwinnwstr
 int	mvwinnwstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		wchar_t	*a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		wchar_t	*a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwins_nwstr
 int	mvwins_nwstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		const wchar_t *a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		const wchar_t *a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef mvwins_wch
 int	mvwins_wch(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		const cchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mvwins_wstr
 int	mvwins_wstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		const wchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mvwinwstr
 int	mvwinwstr(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
 		wchar_t	*z)
 		{ return(*(int *)0); }
 
 #undef mvwvline_set
 int	mvwvline_set(
-		WINDOW	*a1, 
-		int	a2, 
-		int	a3, 
-		const cchar_t *a4, 
+		WINDOW	*a1,
+		int	a2,
+		int	a3,
+		const cchar_t *a4,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef vline_set
 int	vline_set(
-		const cchar_t *a1, 
+		const cchar_t *a1,
 		int	z)
 		{ return(*(int *)0); }
 
 #undef wadd_wchstr
 int	wadd_wchstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		const cchar_t *z)
 		{ return(*(int *)0); }
 
 #undef waddwstr
 int	waddwstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		const wchar_t *z)
 		{ return(*(int *)0); }
 
 #undef wget_wstr
 int	wget_wstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		wint_t	*z)
 		{ return(*(int *)0); }
 
 #undef wgetbkgrnd
 int	wgetbkgrnd(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		cchar_t	*z)
 		{ return(*(int *)0); }
 
 #undef win_wchstr
 int	win_wchstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		cchar_t	*z)
 		{ return(*(int *)0); }
 
 #undef wins_wstr
 int	wins_wstr(
-		WINDOW	*a1, 
+		WINDOW	*a1,
 		const wchar_t *z)
 		{ return(*(int *)0); }
 
 #undef mouse_trafo
 NCURSES_BOOL mouse_trafo(
-		int	*a1, 
-		int	*a2, 
+		int	*a1,
+		int	*a2,
 		NCURSES_BOOL z)
 		{ return(*(NCURSES_BOOL *)0); }
 
@@ -1868,7 +1868,7 @@ int	ESCDELAY;
 
 #undef set_escdelay_sp
 int	set_escdelay_sp(
-		SCREEN	*sp, 
+		SCREEN	*sp,
 		int	value)
 		{ return(*(int *)0); }
 
@@ -1888,8 +1888,8 @@ int	get_escdelay(void)
 
 #undef _nc_wgetch
 int	_nc_wgetch(
-		WINDOW	*win, 
-		int	*result, 
+		WINDOW	*win,
+		int	*result,
 		int	use_meta)
 		{ return(*(int *)0); }
 
@@ -1902,8 +1902,8 @@ int	wgetch(
 
 #undef wgetnstr
 int	wgetnstr(
-		WINDOW	*win, 
-		char	*str, 
+		WINDOW	*win,
+		char	*str,
 		int	maxlen)
 		{ return(*(int *)0); }
 
@@ -1911,8 +1911,8 @@ int	wgetnstr(
 
 #undef whline
 int	whline(
-		WINDOW	*win, 
-		chtype	ch, 
+		WINDOW	*win,
+		chtype	ch,
 		int	n)
 		{ return(*(int *)0); }
 
@@ -1920,7 +1920,7 @@ int	whline(
 
 #undef immedok
 void	immedok(
-		WINDOW	*win, 
+		WINDOW	*win,
 		NCURSES_BOOL flag)
 		{ /* void */ }
 
@@ -1928,8 +1928,8 @@ void	immedok(
 
 #undef winchnstr
 int	winchnstr(
-		WINDOW	*win, 
-		chtype	*str, 
+		WINDOW	*win,
+		chtype	*str,
 		int	n)
 		{ return(*(int *)0); }
 
@@ -1943,14 +1943,14 @@ WINDOW	*initscr(void)
 
 #undef _nc_insert_ch
 int	_nc_insert_ch(
-		SCREEN	*sp, 
-		WINDOW	*win, 
+		SCREEN	*sp,
+		WINDOW	*win,
 		chtype	ch)
 		{ return(*(int *)0); }
 
 #undef winsch
 int	winsch(
-		WINDOW	*win, 
+		WINDOW	*win,
 		chtype	c)
 		{ return(*(int *)0); }
 
@@ -1958,7 +1958,7 @@ int	winsch(
 
 #undef winsdelln
 int	winsdelln(
-		WINDOW	*win, 
+		WINDOW	*win,
 		int	n)
 		{ return(*(int *)0); }
 
@@ -1966,8 +1966,8 @@ int	winsdelln(
 
 #undef winsnstr
 int	winsnstr(
-		WINDOW	*win, 
-		const char *s, 
+		WINDOW	*win,
+		const char *s,
 		int	n)
 		{ return(*(int *)0); }
 
@@ -1975,8 +1975,8 @@ int	winsnstr(
 
 #undef winnstr
 int	winnstr(
-		WINDOW	*win, 
-		char	*str, 
+		WINDOW	*win,
+		char	*str,
 		int	n)
 		{ return(*(int *)0); }
 
@@ -1995,7 +1995,7 @@ NCURSES_BOOL isendwin(void)
 
 #undef leaveok
 int	leaveok(
-		WINDOW	*win, 
+		WINDOW	*win,
 		NCURSES_BOOL flag)
 		{ return(*(int *)0); }
 
@@ -2003,7 +2003,7 @@ int	leaveok(
 
 #undef getmouse_sp
 int	getmouse_sp(
-		SCREEN	*sp, 
+		SCREEN	*sp,
 		MEVENT	*aevent)
 		{ return(*(int *)0); }
 
@@ -2014,7 +2014,7 @@ int	getmouse(
 
 #undef ungetmouse_sp
 int	ungetmouse_sp(
-		SCREEN	*sp, 
+		SCREEN	*sp,
 		MEVENT	*aevent)
 		{ return(*(int *)0); }
 
@@ -2025,27 +2025,27 @@ int	ungetmouse(
 
 #undef mousemask_sp
 mmask_t	mousemask_sp(
-		SCREEN	*sp, 
-		mmask_t	newmask, 
+		SCREEN	*sp,
+		mmask_t	newmask,
 		mmask_t	*oldmask)
 		{ return(*(mmask_t *)0); }
 
 #undef mousemask
 mmask_t	mousemask(
-		mmask_t	newmask, 
+		mmask_t	newmask,
 		mmask_t	*oldmask)
 		{ return(*(mmask_t *)0); }
 
 #undef wenclose
 NCURSES_BOOL wenclose(
-		const WINDOW *win, 
-		int	y, 
+		const WINDOW *win,
+		int	y,
 		int	x)
 		{ return(*(NCURSES_BOOL *)0); }
 
 #undef mouseinterval_sp
 int	mouseinterval_sp(
-		SCREEN	*sp, 
+		SCREEN	*sp,
 		int	maxclick)
 		{ return(*(int *)0); }
 
@@ -2070,9 +2070,9 @@ NCURSES_BOOL has_mouse(void)
 
 #undef wmouse_trafo
 NCURSES_BOOL wmouse_trafo(
-		const WINDOW *win, 
-		int	*pY, 
-		int	*pX, 
+		const WINDOW *win,
+		int	*pY,
+		int	*pX,
 		NCURSES_BOOL to_screen)
 		{ return(*(NCURSES_BOOL *)0); }
 
@@ -2080,8 +2080,8 @@ NCURSES_BOOL wmouse_trafo(
 
 #undef wmove
 int	wmove(
-		WINDOW	*win, 
-		int	y, 
+		WINDOW	*win,
+		int	y,
 		int	x)
 		{ return(*(int *)0); }
 
@@ -2089,14 +2089,14 @@ int	wmove(
 
 #undef _nc_msec_cost_sp
 int	_nc_msec_cost_sp(
-		SCREEN	*sp, 
-		const char *const cap, 
+		SCREEN	*sp,
+		const char *const cap,
 		int	affcnt)
 		{ return(*(int *)0); }
 
 #undef _nc_msec_cost
 int	_nc_msec_cost(
-		const char *const cap, 
+		const char *const cap,
 		int	affcnt)
 		{ return(*(int *)0); }
 
@@ -2129,35 +2129,35 @@ void	_nc_mvcur_wrap(void)
 
 #undef _nc_mvcur_sp
 int	_nc_mvcur_sp(
-		SCREEN	*sp, 
-		int	yold, 
-		int	xold, 
-		int	ynew, 
+		SCREEN	*sp,
+		int	yold,
+		int	xold,
+		int	ynew,
 		int	xnew)
 		{ return(*(int *)0); }
 
 #undef _nc_mvcur
 int	_nc_mvcur(
-		int	yold, 
-		int	xold, 
-		int	ynew, 
+		int	yold,
+		int	xold,
+		int	ynew,
 		int	xnew)
 		{ return(*(int *)0); }
 
 #undef mvcur_sp
 int	mvcur_sp(
-		SCREEN	*sp, 
-		int	yold, 
-		int	xold, 
-		int	ynew, 
+		SCREEN	*sp,
+		int	yold,
+		int	xold,
+		int	ynew,
 		int	xnew)
 		{ return(*(int *)0); }
 
 #undef mvcur
 int	mvcur(
-		int	yold, 
-		int	xold, 
-		int	ynew, 
+		int	yold,
+		int	xold,
+		int	ynew,
 		int	xnew)
 		{ return(*(int *)0); }
 
@@ -2168,8 +2168,8 @@ int	_nc_optimize_enable;
 
 #undef mvwin
 int	mvwin(
-		WINDOW	*win, 
-		int	by, 
+		WINDOW	*win,
+		int	by,
 		int	bx)
 		{ return(*(int *)0); }
 
@@ -2195,16 +2195,16 @@ void	nofilter(void)
 
 #undef newterm_sp
 SCREEN	*newterm_sp(
-		SCREEN	*sp, 
-		const char *name, 
-		FILE	*ofp, 
+		SCREEN	*sp,
+		const char *name,
+		FILE	*ofp,
 		FILE	*ifp)
 		{ return(*(SCREEN **)0); }
 
 #undef newterm
 SCREEN	*newterm(
-		const char *name, 
-		FILE	*ofp, 
+		const char *name,
+		FILE	*ofp,
 		FILE	*ifp)
 		{ return(*(SCREEN **)0); }
 
